Subject: Re: [Dcrup] ed25519 key format in DNS (was: Re: Review of: draft-ietf-dcrup-...)

From: "John R. Levine" <[email-masked]>
Date: 20 Mar 2018 13:11:40 +0000

> Also, I'm ignorant about these things, so bear with me: The format chosen
> for DNS in the draft is "the ed25519 public key encoded in base64".  Is
> this the same as what we did for RSA keys, where it's just the PEM format
> of the key with all the guard strings and wrapped lines removed, or is
> there more to it than that?

There's much less.  The RSA key is a blob of ASN.1 that wraps subparts, while
the ed25519 key is just the bare 32 byte public key in base64.

Should you have a PEM format ed25519 key it's up to you to pick the actual key
out of the ASN.1.

Regards,
John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
Please consider the environment before reading this e-mail. https://jl.ly